Summary: The GateD routing daemon.
Name: gated
Version: 3.5.10
Release: 9
Copyright: distributable
Group: System Environment/Daemons
Source0: ftp://ftp.gated.org/net-research/gated/gated-3-5-10.tar.gz
Source1: gated-3.5.10-init
Source2: gated-3.5.10-Config
Source3: gated-3.5.10-gated.conf
Source4: gated-3.5.9-krt_ifread_ioctl.c
Patch0: gated-3.5.7-linux.patch
Patch1: gated-3.5.10-glibc.patch
Patch2: gated-3.5.10-config.patch
Patch4: gated-3.5.10-dump.patch
Patch5: gated-3.5.x-linuxmc.patch
Patch6: gated-3.5.10-ospfmonauth.patch
Patch7: gated-3.5.10-kern22.patch

Buildroot: /var/tmp/%{name}-root
Prereq: /sbin/chkconfig
Url: http://www.gated.org/

%description
GateD is a modular software program consisting of core services, a
routing database, and protocol modules which support multiple routing
protocols (RIP versions 1 and 2, DCN HELLO, OSPF version 2, EGP version 2,
BGP versions 2 through 4).  GateD is designed to handle dynamic routing
with a routing database built from the information exchanged by routing
protocols.

Install gated if you need a routing daemon.

%prep
%setup -q -n gated-3-5-10

# patch0 not applied
%patch1 -p1 -b .glibc
%patch2 -p1 -b .config
# patch3 doesn't exist
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1 -b .kern22

cd src
cp %SOURCE4 krt_ifread_ioctl.c

mkdir obj.`util/archtype`
#cp configs/linux-2.0 obj.`util/archtype`/Config
cp %SOURCE2 obj.`util/archtype`/Config

%build
cd src
make config
make CC=egcs

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/{sbin,bin,man/man8},etc/rc.d/init.d}

make -C src \
    BINDIR=$RPM_BUILD_ROOT/usr/bin \
    SBINDIR=$RPM_BUILD_ROOT/usr/sbin \
	install

make MANDIR=$RPM_BUILD_ROOT/usr/man install-man

install -m 0755 -d $RPM_BUILD_ROOT/var/gated
install -m 0755 %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/init.d/gated
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT/etc/gated.conf.sample

%post
/sbin/ldconfig
/sbin/chkconfig --add gated

%preun
if [ $1 = 0 ] ; then
        /sbin/chkconfig --del gated
fi

%files
%defattr(-,root,root)
/usr/sbin/gated
%attr(755,root,root) /usr/bin/*
/usr/man/man8/*
/var/gated

%doc Acknowledgements BUGS CHANGES CHANGES.1
%doc Consortium_Agreeemnt Copyright Copyright.ISIS Copyright.OSPF Licensing
%doc INSTALL ISIS-config.ps README README.bgp README.make RELEASE TODO
%doc conf doc src/configs/linux-README
%doc man/gated-2.0-impl.txt

/etc/rc.d/init.d/gated
%config /etc/gated.conf.sample

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- sample config script and init script are world readable

* Wed Mar 31 1999 Jeff Johnson <jbj@redhat.com>
- kernel-2.2 changed /proc/net/route (#1894)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- use /var/gated for generated files to avoid d-o-s attacks.

* Mon Dec  7 1998 Jeff Johnson <jbj@redhat.com>
- merge in patches from Matthew Grant <grantma@anathoth.gen.nz> (#6)

* Sun Dec  6 1998 Jeff Johnson <jbj@redhat.com>
- fix init script (#35).

* Thu Sep 03 1998 Cristian Gafton <gafton@redhat.com>
- version 3.5.10

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.5.9

* Thu Jan  8 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.5.8
- added glibc patch to aid glibc's brain-dead define of IFF_ constants 
  as enums instead of #defines
- we install now gated.conf.sample instead of gated.conf, so gated won't be
  started accidentaly anymore

* Tue Oct 27 1997 Cristian Gafton <gafton@redhat.com>
- build against glibc; added BuildRoot
